import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetTrailStatusInput } from "../types/GetTrailStatusInput";
import { GetTrailStatusOutput } from "../types/GetTrailStatusOutput";
import { CloudTrailResolvedConfiguration } from "../CloudTrailConfiguration";
export * from "../types/GetTrailStatusInput";
export * from "../types/GetTrailStatusOutput";
export * from "../types/GetTrailStatusExceptionsUnion";
export declare class GetTrailStatusCommand implements __aws_sdk_types.Command<InputTypesUnion, GetTrailStatusInput, OutputTypesUnion, GetTrailStatusOutput, CloudTrailResolvedConfiguration, Blob> {
    readonly input: GetTrailStatusInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetTrailStatusInput, GetTrailStatusOutput, Blob>;
    constructor(input: GetTrailStatusInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CloudTrailResolvedConfiguration): __aws_sdk_types.Handler<GetTrailStatusInput, GetTrailStatusOutput>;
}
