"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutEventSelectors_1 = require("../model/operations/PutEventSelectors");
var PutEventSelectorsCommand = /** @class */ (function () {
    function PutEventSelectorsCommand(input) {
        this.input = input;
        this.model = PutEventSelectors_1.PutEventSelectors;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutEventSelectorsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutEventSelectorsCommand;
}());
exports.PutEventSelectorsCommand = PutEventSelectorsCommand;
//# sourceMappingURL=PutEventSelectorsCommand.js.map