import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StopLoggingInput } from "../types/StopLoggingInput";
import { StopLoggingOutput } from "../types/StopLoggingOutput";
import { CloudTrailResolvedConfiguration } from "../CloudTrailConfiguration";
export * from "../types/StopLoggingInput";
export * from "../types/StopLoggingOutput";
export * from "../types/StopLoggingExceptionsUnion";
export declare class StopLoggingCommand implements __aws_sdk_types.Command<InputTypesUnion, StopLoggingInput, OutputTypesUnion, StopLoggingOutput, CloudTrailResolvedConfiguration, Blob> {
    readonly input: StopLoggingInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StopLoggingInput, StopLoggingOutput, Blob>;
    constructor(input: StopLoggingInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CloudTrailResolvedConfiguration): __aws_sdk_types.Handler<StopLoggingInput, StopLoggingOutput>;
}
